<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: c2p.c Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>c2p.c</h1><a href="c2p_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a><a class="code" href="c2p_8c.html#59799636dce6e7dfa2ce20c48147fa6b">00001</a> <span class="preprocessor">#define WS 0</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span>
<a name="l00003"></a>00003 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
<a name="l00004"></a>00004 <span class="preprocessor">#include &lt;<a class="code" href="polylib_8h.html">polylib/polylib.h</a>&gt;</span>
<a name="l00005"></a>00005 
<a name="l00006"></a><a class="code" href="c2p_8c.html#e66f6b31b5ad750f1fe042a706a4e3d4">00006</a> <span class="keywordtype">int</span> <a class="code" href="c2p_8c.html#e66f6b31b5ad750f1fe042a706a4e3d4">main</a>() {
<a name="l00007"></a>00007         
<a name="l00008"></a>00008   <a class="code" href="structmatrix.html">Matrix</a> *A;
<a name="l00009"></a>00009   <a class="code" href="structpolyhedron.html">Polyhedron</a> *P;
<a name="l00010"></a>00010   
<a name="l00011"></a>00011   A = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>();
<a name="l00012"></a>00012   <span class="keywordflow">if</span>(A-&gt;<a class="code" href="structmatrix.html#68858fd3b57684ef38bdfce13c65d182">NbColumns</a> &lt; 2) {
<a name="l00013"></a>00013     printf(<span class="stringliteral">"Wrong input: %d columns\n"</span>, A-&gt;<a class="code" href="structmatrix.html#68858fd3b57684ef38bdfce13c65d182">NbColumns</a> );
<a name="l00014"></a>00014     <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(A);
<a name="l00015"></a>00015     exit(1);
<a name="l00016"></a>00016   }
<a name="l00017"></a>00017   <a class="code" href="matrix_8c.html#d4c3c350dba633f72bbcf3609b6b67d7">Matrix_Print</a>(stdout,<a class="code" href="types_8h.html#e6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>,A);
<a name="l00018"></a>00018   P = <a class="code" href="polyhedron_8c.html#efb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a>(A,<a class="code" href="ext__ehrhart_8c.html#59799636dce6e7dfa2ce20c48147fa6b">WS</a>);
<a name="l00019"></a>00019   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(A);  
<a name="l00020"></a>00020   <a class="code" href="polyhedron_8c.html#d87595bd01c5cdd0f3933824943db496">Polyhedron_Print</a>(stdout,<a class="code" href="types_8h.html#e6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>,P);
<a name="l00021"></a>00021   <a class="code" href="polyhedron_8c.html#e6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a>(P);
<a name="l00022"></a>00022   <span class="keywordflow">return</span> 0;  
<a name="l00023"></a>00023 }
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:58 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
